Jump to content
TCH-Thomas

Apple Iphone Multiple Vulnerabilities

Recommended Posts

From: Secunia http://secunia.com/advisories/26287/

Rating: Highly Critical

 

Description:

Some vulnerabilities have been reported in Apple iPhone, which can be exploited by malicious people to conduct cross-site scripting and spoofing attacks, and potentially to compromise a vulnerable system.

 

1) A race condition error when updating a page in combination with HTTP redirection may allow Javascript code from one page to modify a redirected page.

 

2) A boundary error in the Perl Compatible Regular Expressions (PCRE) library used by the Javascript engine in Safari can be exploited to cause a heap-based buffer overflow when a user visits a malicious web page.

 

Successful exploitation may allow execution of arbitrary code.

 

3) An HTTP injection issue in XMLHttpRequest can be exploited to inject arbitrary HTTP requests.

 

4) An error in WebKit within in the handling of International Domain Name (IDN) support and Unicode fonts embedded in Safari can be exploited to spoof a URL by registering domain names with certain international characters that resembles other commonly used characters.

 

5) An invalid type conversion when rendering frame sets may allow execution of arbitrary code.

 

Solution:

Update to version 1.0.1 (downloadable and installable via iTunes).

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...